#include <stdio.h>
#include <emscripten.h> // note we added the emscripten header
// pointer.c

// 交换数字
void EMSCRIPTEN_KEEPALIVE swap(int *a, int *b) {
    int temp = *a;
    *a = *b;
    *b = temp;
}

// 数组里面的每个数字加1
void EMSCRIPTEN_KEEPALIVE addOne(int* input_ptr, int* output_ptr, int len){
	int i;
	for(i = 0; i < len; i++) {
    	output_ptr[i] = input_ptr[i] + 1;
    }
}

// 统计字符串里面某个数字的出现次数
int EMSCRIPTEN_KEEPALIVE countOccurrences(const char * str, int len, char target) {
	int i, count = 0;
	for(i = 0; i < len; i++){
    	if(str[i] == target){
        	count++;
    	}
	}
	return count;
}